package cd.casic.plugin.core.register.filter.impl;


import cd.casic.plugin.core.register.filter.PluginClassFilter;
import jakarta.websocket.server.ServerEndpoint;

public class WebSocketFilter implements PluginClassFilter {

    public static final String GROUP_NAME = "websocket";

    @Override
    public String groupName() {
        return GROUP_NAME;
    }

    @Override
    public void initialize() {

    }

    @Override
    public boolean filter(Class<?> clazz) {
        return clazz.isAnnotationPresent(ServerEndpoint.class);
    }
}
